package com.sckw.usual.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum OrderDictTypeEnum {

    ORDER_SOURCE("order_source", "订单来源"),
    GOODS_TYPE("goods_type", "商品类型"),
    GOODS_UNIT("goods_unit", "货物单位"),
    ORDER_STATUS("order_status", "订单状态"),
    TYPE_HANDLING("type_handling", "装卸货类型"),
    PAY_METHOD("pay_method", "支付方式"),
    SETTLEMENT_CYCLE("settlement_cycle", "结算周期"),
    BILLING_MODE("billing_mode", "计费方式"),
    ADDRESS_TYPE("address_type", "地址类型"),
    TRUCK_TYPE("truck_type", "车辆类型"),
    OW_SYSTEM("ow_system", "车辆类型"),
    WAYBILL_STATUS("waybill_status", "运单状态"),

    ;

    private final String type;
    private final String name;
}
